Download it now!
Bug 116238 - Notebookbar stays visible during slide show when started from Slides pane
Summary: Notebookbar stays visible during slide show when started from Slides pane
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.1.0 target:6.0.4 target:5.4.7
Keywords:
Depends on:
Blocks: Notebookbar Slide-Show
  Show dependency treegraph
 
Reported: 2018-03-06 14:46 UTC by Marko Popović
Modified: 2018-03-21 14:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
About - Help (21.16 KB, image/png)
2018-03-13 12:58 UTC, Marko Popović
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Popović 2018-03-06 14:46:50 UTC
Description:
As I wrote in the summary, there is a strange behavior when starting the "fullscreen" slideshow where the ribbon wouldn't go away and the presentation would be placed under the ribbon.

https://image.ibb.co/bF8TiS/LO_Impress_Bug.png

Steps to Reproduce:
1. Open LibreOffice Impress in Ribbon mode (Notebookbar view)
2. Do some work to my presentation
3. Start a slideshow by pressing F5

Actual Results:  
The presentation fails to open in fullscreen mode, it shows the ribbon and bellow the ribbon is the presentation.

https://image.ibb.co/bF8TiS/LO_Impress_Bug.png

Expected Results:
It should open the presentation in fullscreen mode without ribbon remaining visible as I have set in the settings.

This is what should happen:
https://image.ibb.co/jSStHn/LO_Impress_No_Bug.png


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.186 Safari/537.36
Comment 1 Buovjaga 2018-03-11 11:58:19 UTC
According to bug 103355 this should be fixed in 5.4 already.
Yet, I found bug 115539 "Start Slideshow" does not hide notebookbar when in Outline and SlideSorter mode". Were you by any chance in these modes (from View menu)?
Comment 2 Marko Popović 2018-03-13 10:14:53 UTC
No sorry, I'm using Normal mode, when I first launch the blank document the bug isn't present but after editing a presentation a bit it returns back. Probably the fix that was applied back in 5.4 wasn't well thought out or done correctly.
Comment 3 Buovjaga 2018-03-13 10:47:46 UTC
I don't see the problem myself.

For completeness, please copy and paste here the contents of your Help - About. This allows us to know more about your system.

Maybe also try Help - Restart in safe mode and then Continue in safe mode.

Version: 6.0.2.1 (x64)
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: fi-FI (fi_FI); Calc: group
Comment 4 Marko Popović 2018-03-13 12:58:37 UTC
Created attachment 140607 [details]
About - Help

Restarting in safe mode doesn't even give me the option of enabling notebookbar :) Make sure that you're using the notebookbar under view beause the bug doesn't reproduce in old classic view.
Comment 5 Buovjaga 2018-03-13 13:46:21 UTC
(In reply to Marko Popović from comment #4)
> Created attachment 140607 [details]
> About - Help
> 
> Restarting in safe mode doesn't even give me the option of enabling
> notebookbar :) Make sure that you're using the notebookbar under view beause
> the bug doesn't reproduce in old classic view.

Urgh, yeah you have to enable experimental features in advanced options, but that requires another restart and it goes out of Safe mode.

But from your screenshot we can see you have OpenGL enabled. Try disabling it and then reproducing the bug again: Tools - Options - LibreOffice - View - Use OpenGL for all rendering

(Btw. you could have just copied the text from the help - about, no need to screenshot)
Comment 6 Marko Popović 2018-03-13 17:03:42 UTC
I've tried to reproduce the same bug, on other PC (my desktop PC) and disabling the OpenGL...

About this PC: https://image.ibb.co/cnmGhx/About.png

OpenGL settings: https://image.ibb.co/mSUrFH/OpenGL.png

Reproduced bug: https://image.ibb.co/jUoU2x/LOFS.png

I can reproduce the bug every time, and on every PC
Comment 7 Aron Budea 2018-03-13 18:04:51 UTC
Confirmed using LO 6.0.2.1 / Windows 7.

Steps:
- Enable Notebookbar.
- Start a new presentation.
- Click into the Slides pane.
- Hit F5.

Not sure how much it's related to bug 115539.
Comment 8 Buovjaga 2018-03-13 18:16:18 UTC
(In reply to Aron Budea from comment #7)
> - Click into the Slides pane.

Ok, with this, I repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c409fd2e8829b00f027070f34a5b743019800c6e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 13th 2018
Comment 9 Xisco Faulí 2018-03-14 09:02:28 UTC
Also reproduced in

Version: 5.3.0.0.alpha1+
Build ID: 4136757b4e51c4e6f7cb4132c95538a7f831ef2c
CPU Threads: 4; OS Version: Linux 4.13; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: en-US (ca_ES.UTF-8); Calc: group
Comment 10 Xisco Faulí 2018-03-14 09:22:48 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/51262/
Comment 11 Commit Notification 2018-03-14 16:28:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a9326803c01f4c9bc7da855053ce4e80646fad8

tdf#115539, tdf#116238: Don't display the notebookbar in presentation mode

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Marko Popović 2018-03-14 17:11:36 UTC
(In reply to Commit Notification from comment #11)
> Xisco Fauli committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=6a9326803c01f4c9bc7da855053ce4e80646fad8
> 
> tdf#115539, tdf#116238: Don't display the notebookbar in presentation mode
> 
> It will be available in 6.1.0.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

I've just tried the daily releases and the fix isn't yet implemented apparently. I'll wait for 2 days and try again and report.
Comment 13 Buovjaga 2018-03-14 18:25:31 UTC
I did a fresh build and confirm the fix.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 6a9326803c01f4c9bc7da855053ce4e80646fad8
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 14th 2018
Comment 14 Xisco Faulí 2018-03-14 18:36:53 UTC
(In reply to Buovjaga from comment #13)
> I did a fresh build and confirm the fix.
> 
> Arch Linux 64-bit
> Version: 6.1.0.0.alpha0+
> Build ID: 6a9326803c01f4c9bc7da855053ce4e80646fad8
> CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
> Locale: fi-FI (fi_FI.UTF-8); Calc: group
> Built on March 14th 2018

Closing as VERIFIED FIXED then.
Thanks for retesting
Comment 15 Commit Notification 2018-03-16 01:21:12 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7db69e5302dca28c3cf5a36dc2328bd062fc0d9&h=libreoffice-6-0

tdf#115539, tdf#116238: Don't display the notebookbar in presentation mode

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-03-21 14:12:12 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d8d36713790584b4ab7f5c94179bad05754b2ec&h=libreoffice-5-4

tdf#115539, tdf#116238: Don't display the notebookbar in presentation mode

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.